print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local pumpkinHudFile = "Paletten/hud_fill_pumpkin.dds"
	local pumpkinHudFileSmall = "Paletten/hud_fill_pumpkin_smal.dds"
	
    local pumpkinFilType = g_fillTypeManager:addFillType("PUMPKIN", g_i18n:getText("pumpkin"), true, pricebeer * 1.1, 0.00045, math.rad(10), pumpkinHudFile, pumpkinHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haspumpkin=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haspumpkin=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "PUMPKIN" then
		haspumpkin=true
	end;
		
end;

		if hasmaize and not haspumpkin then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("PUMPKIN")
		local price = g_fillTypeManager:getFillTypeByName("PUMPKIN").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("PUMPKIN")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)